Table of Contents

## Name

glXQueryContextInfoEXT - query context information

## C Specification

int glXQueryContextInfoEXT( Display *dpy,

        GLXContext ctx,
        int attribute,
        int *value )

eqn not supported

## Parameters

dpy
  Specifies the connection to the X server.

ctx
  Specifies a GLX rendering context.

attribute
  The visual ID that the context was created with.

value
  The X screen the the context was created for.

_param5
  The context with which this context shares display lists. or NULL if this context does not share display lists.

## Description

glXQueryContextInfoEXT returns the the visual id, screen number, and share list of ctx. This call may cause a round trip to the server.

glXQueryContextInfoEXT is part of the EXT_import_context extension, not part of the core GLX command set. If GLX_EXT_import_context is included in the string returned by glXQueryExtensionsString, when called with argument GLX_EXTENSIONS, extension EXT_import_context is supported.

## Errors

GLXBadContext is generated if ctx does not refer to a valid context.

## See Also

glXCreateContext, glXQueryVersion, glXQueryExtensionsString

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- See Also